std::hash< unique_ptr< _Tp, _Dp > > Struct Template Reference
Utilities » Memory » Pointer Abstractions

`#include <unique_ptr.h>`

Inherits std::__hash_base< _Result, _Arg >, and __uniq_ptr_hash< unique_ptr< _Tp, _Dp > >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Detailed Description

template<typename _Tp, typename _Dp>
struct std::hash< unique_ptr< _Tp, _Dp > >

std::hash specialization for unique_ptr.

Definition at line 933 of file unique_ptr.h.

## Member Typedef Documentation

## argument_type

template<typename _Result , typename _Arg >

typedef _Arg std::__hash_base< _Result, _Arg >::argument_type

inherited

Definition at line 54 of file functional_hash.h.

## result_type

template<typename _Result , typename _Arg >

typedef _Result std::__hash_base< _Result, _Arg >::result_type

inherited

Definition at line 53 of file functional_hash.h.

The documentation for this struct was generated from the following file:

- unique_ptr.h